投稿日:2004年05月24日 作成鷹の巣

No.16093 DBD::mysqlのインストールでのエラーメッセージについて



DBD::mysqlのインストールでのエラーメッセージについて

No.16093 投稿時間:2004年05月24日(Mon) 12:39 投稿者名:なお URL:

はじめまして。なおといいます。
実は自宅サーバーでblogをしようと思い、mysqlを使って動かそうとしたところ、
DBD::mysqlがないということで、インストールしようとしたところ、
以下のメッセージが出ました。
ぐぐってみて、ずばりというところがありそうだったので開こうとすると、
閉鎖されているようで見れませんでした。

Can't use string ("dbimon pmysql") as an ARRAY ref while "strict refs" in use at /usr/lib/perl5/5.8.0/ExtUtils/MM_Unix.pm line 1424.

これがどういうことなのか教えて頂けませんでしょうか?
宜しくお願い致します。
また不足な情報があれば追加カキコ致します。


サーバのOSは何でしょうか

No.16095 投稿時間:2004年05月24日(Mon) 14:41 投稿者名:Ryokucchi URL:http://ryokucchi.no-ip.com/

> また不足な情報があれば追加カキコ致します。

サーバのOSは何でしょうか。


OSは、REDHAT9.0です。

No.16096 投稿時間:2004年05月24日(Mon) 15:13 投稿者名:なお URL:

> > また不足な情報があれば追加カキコ致します。
>
> サーバのOSは何でしょうか。

あ、肝心なことを忘れていましたね。
OSは、REDHAT9.0です。

Apache version 2.0.40
MySQL version 3.23.58
perl version 5.8.0

です。まだまだ不足しているかもしれませんが、そのときは指摘して下さい。


Redhat のことはよく分かりませんが

No.16098 投稿時間:2004年05月24日(Mon) 17:14 投稿者名:Ryokucchi URL:http://ryokucchi.no-ip.com/

うちのOSは、FreeBSD なので、具体的な説明はできませんが、
weblog を使うためでしたら、Berkeley DB で充分かと思います。

下記のサイトが参考になりますでしょうか。
http://labo.heisei-tech.co.jp/Solaris/solaris8/DB_File-1.78..html
http://www.rbdn.com/tips3.html#MovableType

うちでは DB 関係よりも ImageMagick のインストールが大変でした。
関連するソフトをその都度そのサイトにアクセスしてインストールする
ので、けっこう時間がかかりました。


rpmでインストールすればよいのでは?

No.16099 投稿時間:2004年05月24日(Mon) 19:26 投稿者名:stranger URL:

> > > また不足な情報があれば追加カキコ致します。
> > > > サーバのOSは何でしょうか。
> > あ、肝心なことを忘れていましたね。
> OSは、REDHAT9.0です。
> > Apache version 2.0.40
> MySQL version 3.23.58
> perl version 5.8.0
> > です。まだまだ不足しているかもしれませんが、そのときは指摘して下さい。
redhat9なら
perl-DBI と perl-DBD-MySQL がインストールCDにあると思います
なければ適当なサイトからダウンロードして
rpmでインストールすればよいのでは?
すでにインストールされているかも?
rpm -qa | grep perl
で確認してみる


WEBMINからaptでインストールしたら何の問題もなくインストールできました。

No.16113 投稿時間:2004年05月25日(Tue) 15:26 投稿者名:なお URL:

Ryokucchiさん、strangerさん、ありがとうございます。
お返事が遅くなりすいません。

今まではコマンド打ちでインストしようとしたのですがだめだったので、
WEBMINからaptでインストールしたら何の問題もなくインストできてしまったんです。
何でかわからないです・・・・・逆に。

Ryokucchiさんの教えていただいたページなんですが、非常に参考になりました。
実践してやってみて成功いたしました。

>perl-DBI と perl-DBD-MySQL がインストールCDにあると思います
え・・・・そうでしたか・・・・・まったく気がつかなかったです
RHNのアップデートさえやってればいっかーなんて思っていた私が恥ずかしいです。

何はともあれ、ありがとうございました。


|目次|掲示板|過去ログ目次|▲頁先頭|